Admin
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| POST | /v1/admin/bans | Admin Ban |
| DELETE | /v1/admin/bans/{host} | Admin Unban |
| GET | /v1/admin/integrity | Admin Integrity |
| POST | /v1/admin/mine | Admin Mine |
| GET | /v1/admin/peers | Admin Peers |
| POST | /v1/admin/peers | Admin Connect |
POST /v1/admin/bans
Admin Ban.
curl -s -X POST http://127.0.0.1:28332/v1/admin/bans -H 'content-type: application/json' -d '{…}'Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
authorization | header | string | null | no |
Request body (application/json, required): BanBody
| Field | Type | Required | Notes |
|---|---|---|---|
host | string | yes | max length 255 |
seconds | integer | no | min 1, max 31536000, default 86400 |
Response 200 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_ban_v1_admin_bans_post
DELETE /v1/admin/bans/{host}
Admin Unban.
curl -s -X DELETE http://127.0.0.1:28332/v1/admin/bans/<host>Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
host | path | string | yes | |
authorization | header | string | null | no |
Response 200 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_unban_v1_admin_bans__host__delete
GET /v1/admin/integrity
Admin Integrity.
curl -s http://127.0.0.1:28332/v1/admin/integrityParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
authorization | header | string | null | no |
Response 200 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_integrity_v1_admin_integrity_get
POST /v1/admin/mine
Admin Mine.
curl -s -X POST http://127.0.0.1:28332/v1/admin/mine -H 'content-type: application/json' -d '{…}'Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
authorization | header | string | null | no |
Request body (application/json, required): MineBody
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
blocks | integer | no | min 1, max 1000, default 1 |
Response 200 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_mine_v1_admin_mine_post
GET /v1/admin/peers
Admin Peers.
curl -s http://127.0.0.1:28332/v1/admin/peersParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
authorization | header | string | null | no |
Response 200 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_peers_v1_admin_peers_get
POST /v1/admin/peers
Admin Connect.
curl -s -X POST http://127.0.0.1:28332/v1/admin/peers -H 'content-type: application/json' -d '{…}'Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
authorization | header | string | null | no |
Request body (application/json, required): PeerBody
| Field | Type | Required | Notes |
|---|---|---|---|
host | string | yes | max length 255 |
port | integer | yes | min 1, max 65535 |
Response 202 (application/json)
Type: object.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: admin_connect_v1_admin_peers_post
Schemas
BanBody
| Field | Type | Required | Notes |
|---|---|---|---|
host | string | yes | max length 255 |
seconds | integer | no | min 1, max 31536000, default 86400 |
MineBody
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
blocks | integer | no | min 1, max 1000, default 1 |
PeerBody
| Field | Type | Required | Notes |
|---|---|---|---|
host | string | yes | max length 255 |
port | integer | yes | min 1, max 65535 |